using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Machine.Models
{

    /// <summary>
    /// 电子票解析结果实体类
    /// </summary>
    public class DecodePrintData
    {
        private L_PrintTicketEntity _l_printTicketEntity = new L_PrintTicketEntity();
        /// <summary>
        /// 电子票解析结果
        /// </summary>
        public L_PrintTicketEntity L_PrintTicketEntity
        {
            get { return _l_printTicketEntity; }
            set { _l_printTicketEntity = value; }
        }

        private CaptureDataInfo _inputData=new CaptureDataInfo(new byte[]{});
        /// <summary>
        /// 抓取的原始数据
        /// </summary>
        public CaptureDataInfo InputData
        {
            get { return _inputData; }
            set { _inputData = value; }
        }

        private bool _decodeSuccess = false;
        /// <summary>
        /// 解析是否成功
        /// </summary>
        public bool DecodeSuccess
        {
            get { return _decodeSuccess; }
            set { _decodeSuccess = value; }
        }
        /// <summary>
        /// 解析错误信息
        /// </summary>
        public string ErrorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }

        private string _errorMessage=string.Empty;
    }
}
