using System;
using System.Collections.Generic;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    /// <summary>
    /// 竟彩投注
    /// </summary>
    public class A10001GetTicket : PackBase
    {

        public override string Action
        {
            get { return "getTicket"; }
        }


        private int _lotId;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        /// <summary>
        /// 包体打包
        /// </summary>
        /// <returns></returns>
        public override void PackBody(JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(LotId);

        }
        
    }
}
