using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Exceptions
{
    /// <summary>
    /// 未找到期号列表异常
    /// </summary>
    public class ExpectNotFoundException : Exception
    {
        /// <summary>
        /// 无参构造方法
        /// </summary>
        public ExpectNotFoundException()
            : base()
        {
        }

        /// <summary>
        /// 构造方法：Message
        /// </summary>
        /// <param name="message"></param>
        public ExpectNotFoundException(string message)
            : base(message)
        { }
    }
}
