using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Exceptions
{
    /// <summary>
    /// 未找到北单场次信息
    /// </summary>
    public class MatchNotFoundException : Exception
    {
        /// <summary>
        /// 无参构造方法
        /// </summary>
        public MatchNotFoundException()
            : base()
        {
        }

        /// <summary>
        /// 构造方法 message
        /// </summary>
        /// <param name="message"></param>
        public MatchNotFoundException(string message)
            : base(message)
        { }
    }
}
