using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace ChuPiao.AutoPrint.Configuration
{
    [Serializable]
    public class MachineXmlEntity
    {
        public string M_Number;
        public string M_ZxPassword;
        public string M_VirtualKeyboardPort;
        public int M_VirtualKeyboardPortBps;
        public string M_VirtualPrinterPort;
        public int M_VirtualPrinterPortBps;
        /// <summary>
        /// 通讯MD5加密时的参数
        /// </summary>
        public string M_Salt;
        public bool M_AllowPaperout;
        /// <summary>
        /// 是否有竞彩权限，有：缴款09时段10，无缴款08时段09
        /// </summary>
        public bool M_HasJc;
        /// <summary>
        /// 是否模拟出票，测试用
        /// </summary>
        public bool M_IsSimulate;
        /// <summary>
        /// 是否自动清除合计(2分钟没出票清一次,否则随机1-5票清一次)
        /// </summary>
        public bool M_IsAutoClearTotal;
        /// <summary>
        /// 可出票彩种
        /// </summary>
        public string M_Lots;
        /// <summary>
        /// 是否自动兑奖
        /// </summary>
        public bool M_IsAutoEncash;
    }
}
