using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Items
{
    public class UploadMachinePayItem
    {
        public UploadMachinePayItem(int btype, decimal paymoney, DateTime paytime)
        {
            _btype = btype;
            _paymoney = paymoney;
            _paytime = paytime;
            _payfee = 0M;
        }

        public UploadMachinePayItem(int btype, decimal paymoney, DateTime paytime,decimal payfee)
        {
            _btype = btype;
            _paymoney = paymoney;
            _paytime = paytime;
            _payfee = payfee;
        }

        private int _btype;
        /// <summary>
        /// 1：缴款；2：佣金；3：转入即开；4：支付宝充值；5：微信充值；
        /// </summary>
        public int Btype
        {
            get { return _btype; }
            set { _btype = value; }
        }

        private decimal _paymoney;
        private DateTime _paytime;

        public decimal PayMoney
        {
            get { return _paymoney; }
            set { _paymoney = value; }
        }

        public DateTime PayTime
        {
            get { return _paytime; }
            set { _paytime = value; }
        }


        private decimal _payfee=0M;
        public decimal PayFee
        {
            get { return _payfee; }
            set { _payfee = value; }
        }

    }
}
