using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Core.Socket
{
    /// <summary>
    /// Socket通讯客户端
    /// </summary>
    public interface ISocketClient
    {
        /// <summary>
        /// 提交请求
        /// </summary>
        /// <param name="requestMsg"></param>
        /// <returns></returns>
        string CommitRequest(string requestMsg);

        /// <summary>
        /// 关闭客户端
        /// </summary>
        void Close();
    }
}
