using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Models
{
    public interface IEncashTicketSummaryEntity
    {
        /// <summary>
        /// 票数合计
        /// </summary>
        int Count { get; set; }
        /// <summary>
        /// 奖金合计
        /// </summary>
        decimal GetMoney { get; set; }
    }
    /// <summary>
    /// 中奖票统计实体类
    /// </summary>
    public class EncashTicketSummaryEntity : IEncashTicketSummaryEntity
    {
        public EncashTicketSummaryEntity()
        {
            
        }
        public EncashTicketSummaryEntity(int count,decimal getmoney)
        {
            _count = count;
            _getMoney = getmoney;
        }
        #region Implementation of IEncashTicketSummaryEntity

        private int _count=0;

        private decimal _getMoney=0;

        /// <summary>
        /// 票数合计
        /// </summary>
        public int Count
        {
            get { return _count; }
            set { _count = value; }
        }

        /// <summary>
        /// 奖金合计
        /// </summary>
        public decimal GetMoney
        {
            get { return _getMoney; }
            set { _getMoney = value; }
        }

        #endregion
    }
}
